The Spring Framework

## org.springframework.scheduling.support
Class DelegatingExceptionProofRunnable

    java.lang.Object
      org.springframework.scheduling.support.DelegatingExceptionProofRunnable

All Implemented Interfaces:
  Runnable

    public class DelegatingExceptionProofRunnable

extends Object
implements Runnable

Runnable wrapper that catches any exception or error thrown from its delegate Runnable. Used for continuing scheduled execution even after an exception thrown from a task's Runnable.

Since:
  2.0.5
Author:
  Juergen Hoeller

Constructor Summary
`DelegatingExceptionProofRunnable(Runnable delegate)` Create a new DelegatingExceptionProofRunnable.

Method Summary
`Runnable` `getDelegate()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingExceptionProofRunnable

    public DelegatingExceptionProofRunnable(Runnable delegate)

  Create a new DelegatingExceptionProofRunnable.

  Parameters:
    `delegate` - the Runnable implementation to delegate to

Method Detail

### getDelegate

    public final Runnable getDelegate()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.